Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455154 - upsdrvctl can't open /dev/bus/usb/004/002
Summary: upsdrvctl can't open /dev/bus/usb/004/002
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: nut
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tomas Smetana
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-13 05:24 UTC by Rick Richardson
Modified: 2008-07-22 05:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-22 05:54:23 UTC


Attachments (Terms of Use)
/etc/init.d/ups with fix (deleted)
2008-07-13 05:26 UTC, Rick Richardson
no flags Details

Description Rick Richardson 2008-07-13 05:24:47 UTC
# upsdrvctl start

can't open /dev/bus/usb/004/002, i.e. Belkin UPS.

Is it mode 644 owned by root and group root. 

Should be mode 666.

chmod 666 /dev/bus/usb/004/002 # RER 12/29/07

Comment 1 Rick Richardson 2008-07-13 05:26:57 UTC
Created attachment 311657 [details]
/etc/init.d/ups with fix

chmod 666 /dev/bus/usb/004/002 # RER 12/29/07

Comment 2 Tomas Smetana 2008-07-21 07:20:42 UTC
The ups device nodes should be handled by udev and get root:uucp ownership. 
Please verify that the UPS device ID (run /sbin/lsusb) has a corresponding entry
in /etc/udev/rules.d/52_nut-usbups.rules.

Comment 3 Rick Richardson 2008-07-21 07:54:36 UTC
$ lsusb
Bus 002 Device 002: ID 058f:6362 Alcor Micro Corp. Hi-Speed 21-in-1 Flash Card
Reader/Writer (Internal/External)
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 002: ID 046d:c505 Logitech, Inc. Cordless Mouse+Keyboard Receiver
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 061: ID 1390:0001 TOMTOM B.V. 
Bus 001 Device 059: ID 0781:7421 SanDisk Corp. Sansa E200 series
Bus 001 Device 008: ID 067b:2303 Prolific Technology, Inc. PL2303 Serial Port
Bus 001 Device 007: ID 067b:2303 Prolific Technology, Inc. PL2303 Serial Port
Bus 001 Device 006: ID 058f:6254 Alcor Micro Corp. 
Bus 001 Device 004: ID 058f:6254 Alcor Micro Corp. 
Bus 001 Device 002: ID 03f0:2b17 Hewlett-Packard LaserJet 1020
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 002: ID 9710:7720 MosChip Semiconductor 
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 050d:0751 Belkin Components 
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub


Comment 4 Tomas Smetana 2008-07-21 08:06:53 UTC
Hm... On my F-8 installation the required rule exists:

ATTR{idVendor}=="050d", ATTR{idProduct}=="0751", MODE="664", GROUP="uucp"

There should be no difference on F-9.  Could you please check this?

Comment 5 Rick Richardson 2008-07-21 09:53:03 UTC
# Belkin - usbhid-ups
ATTR{idVendor}=="050d", ATTR{idProduct}=="0980", MODE="664", GROUP="uucp"
ATTR{idVendor}=="050d", ATTR{idProduct}=="0900", MODE="664", GROUP="uucp"
ATTR{idVendor}=="050d", ATTR{idProduct}=="0910", MODE="664", GROUP="uucp"
ATTR{idVendor}=="050d", ATTR{idProduct}=="0912", MODE="664", GROUP="uucp"
ATTR{idVendor}=="050d", ATTR{idProduct}=="0551", MODE="664", GROUP="uucp"
ATTR{idVendor}=="050d", ATTR{idProduct}=="0751", MODE="664", GROUP="uucp"
ATTR{idVendor}=="050d", ATTR{idProduct}=="0375", MODE="664", GROUP="uucp"
ATTR{idVendor}=="050d", ATTR{idProduct}=="1100", MODE="664", GROUP="uucp"

Still, it DOES NOT create /dev/bus/usb/004/002 with root/uucp ownership.  In
fact, what name does it create?

Comment 6 Rick Richardson 2008-07-21 09:54:10 UTC
$ ll /dev/bus/usb/004
total 0
crw-r--r-- 1 root root 189, 384 2008-07-11 08:28 001
crw-rw-rw- 1 root root 189, 385 2008-07-21 04:52 002


Comment 7 Rick Richardson 2008-07-21 10:00:43 UTC
Installed fedora 9 from scratch on July 11, 2008.  Fully updated.



Comment 8 Tomas Smetana 2008-07-21 11:06:32 UTC
Can you please run

    udevtrigger --verbose --subsystem-match=usb

Then verify the permissons get fixed.  If not, try

   udevtrigger --verbose --subsystem-match=usb_device

and let me know.  Thanks.

Comment 9 Rick Richardson 2008-07-21 12:14:58 UTC
[root@dual dev]# udevtrigger --verbose --subsystem-match=usb
/devices/pci0000:00/0000:00:1a.0/usb3
/devices/pci0000:00/0000:00:1a.0/usb3/3-0:1.0
/devices/pci0000:00/0000:00:1a.1/usb4
/devices/pci0000:00/0000:00:1a.1/usb4/4-0:1.0
/devices/pci0000:00/0000:00:1a.1/usb4/4-2
/devices/pci0000:00/0000:00:1a.1/usb4/4-2/4-2:1.0
/devices/pci0000:00/0000:00:1a.2/usb5
/devices/pci0000:00/0000:00:1a.2/usb5/5-0:1.0
/devices/pci0000:00/0000:00:1a.2/usb5/5-2
/devices/pci0000:00/0000:00:1a.2/usb5/5-2/5-2:1.0
/devices/pci0000:00/0000:00:1a.7/usb1
/devices/pci0000:00/0000:00:1a.7/usb1/1-0:1.0
/devices/pci0000:00/0000:00:1a.7/usb1/1-3
/devices/pci0000:00/0000:00:1a.7/usb1/1-3/1-3:1.0
/devices/pci0000:00/0000:00:1a.7/usb1/1-5
/devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.1
/devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.1/1-5.1.3
/devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.1/1-5.1.3/1-5.1.3:1.0
/devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.1/1-5.1.4
/devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.1/1-5.1.4/1-5.1.4:1.0
/devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.1/1-5.1:1.0
/devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.3
/devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.3/1-5.3:128.0
/devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.4
/devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.4/1-5.4:1.0
/devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5:1.0
/devices/pci0000:00/0000:00:1d.0/usb6
/devices/pci0000:00/0000:00:1d.0/usb6/6-0:1.0
/devices/pci0000:00/0000:00:1d.0/usb6/6-2
/devices/pci0000:00/0000:00:1d.0/usb6/6-2/6-2:1.0
/devices/pci0000:00/0000:00:1d.0/usb6/6-2/6-2:1.1
/devices/pci0000:00/0000:00:1d.1/usb7
/devices/pci0000:00/0000:00:1d.1/usb7/7-0:1.0
/devices/pci0000:00/0000:00:1d.2/usb8
/devices/pci0000:00/0000:00:1d.2/usb8/8-0:1.0
/devices/pci0000:00/0000:00:1d.7/usb2
/devices/pci0000:00/0000:00:1d.7/usb2/2-0:1.0
/devices/pci0000:00/0000:00:1d.7/usb2/2-1
/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0
[root@dual dev]# 

[root@dual dev]#  ll /dev/bus/usb/004
total 0
crw-r--r-- 1 root root 189, 384 2008-07-11 08:28 001
crw-rw-r-- 1 root uucp 189, 385 2008-07-21 07:11 002

That did it.  But its not automatic.


Comment 10 Tomas Smetana 2008-07-21 12:35:25 UTC
This could happen e.g. in case you installed nut after plugging the UPS -- the
rules are part of the nut package.  In such a case you have to re-plug the UPS
or trigger the udev action manually.

Comment 11 Rick Richardson 2008-07-21 12:47:43 UTC
I rebooted several times.  Are saying that I must unplug the UPS on every boot??
 I think chmod 666 is better, then.

Comment 12 Tomas Smetana 2008-07-21 13:01:56 UTC
If you rebooted then there must be something else wrong...  I'll need to install
a testing machine for this, so please be patient.

Comment 13 Rick Richardson 2008-07-21 13:15:25 UTC
Downloaded kernel 2.6.25.10-86.fc9.i686 and rebooted.

It works now!

Comment 14 Tomas Smetana 2008-07-22 05:54:23 UTC
OK.  Closing...


Note You need to log in before you can comment on or make changes to this bug.